#uses "fwUnitTestComponentAsserts.ctl" 

//------------------------------------------------------------------
void test_unSystemIntegrity_addManagers_maxLimit() {
  dyn_string exceptionInfo;
  string sHost;
  string sManager = "testManager";
  int count = 0;
  int iPort;
  unSystemIntegrity_getPmonHostAndPort(sHost, iPort);

  while (dynlen(exceptionInfo) == 0 && count <= 100) {
	count++;
	unSystemIntegrity_addManager("WCCOAui", "manual", 30, 2, 2, sManager+count, exceptionInfo);
  }

  assertTrue(dynlen(exceptionInfo) > 0, "Expected error has not been raised. Number of managers is " + unSystemIntegrity_pmonGetCount(sHost, iPort));
  assertEqual("unSystemIntegrity_addManager(): Failed to insert manager: WCCOAui " + sManager+count + ". Maximum number of managers, 100, has been reached.", exceptionInfo[2],
              "The raised exception does not match with the expected result.");
  int iManNum = unSystemIntegrity_pmonGetCount(sHost, iPort);
  assertEqual(iManNum, 100, "The maximum number of managers should have been 100. Actual number is " + iManNum);

  for (int i = 1; i < count; i++) {
	fwInstallationManager_remove("WCCOAui", sManager+i, sHost, iPort);
  }
}
